PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## Option

> Words For Almost-Non-Volatile Environment

`NVRAM,WORDS``( -- )``` => `"EXTENSIONS"`

  Print a list of `WORDS` in the NVRAM buffer. Try to show also the current value, atleast for NVRAM numbers and strings. Words can be added or changed with the help of `NVRAM`,SET or `NVRAM`,USE

  Values in the NVRAM buffer will survive a `COLD` reboot, in many hosted environments however the NVRAM will be lost on program exit.

  primitive code = [p4_nvram_words]

`NVRAM,Z@``( "varname" -- z-str )``` => `"EXTENSIONS"`

  Return the string pointer of the NVRAM string item, or null if no such item exists.

  primitive code = [p4_nvram_z_fetch]

`NVRAM,S@``( "varname" -- str-ptr str-len )``` => `"EXTENSIONS"`

  Return the string span of the NVRAM string item, or double null if no such item exists.

  primitive code = [p4_nvram_s_fetch]

`NVRAM,?@``( number "varname" -- number' )``` => `"EXTENSIONS"`

  Return the value of the NVRAM value item, or leave the original number untouched (i.e. the default value for your option).

  primitive code = [p4_nvram_Q_fetch]

`NVRAM,AS``( str-ptr str-len "varname" -- )``` => `"EXTENSIONS"`

  set the NVRAM variable to the specified string.

  Some NVRAM strings do not take effect until next `COLD` reboot.

  primitive code = [p4_nvram_as]

`NVRAM,TO``( number "varname" -- )``` => `"EXTENSIONS"`

  set the NVRAM variable to the specified number.

  Most NVRAM numbers do not take effect until next `COLD` reboot.

  primitive code = [p4_nvram_to]